ZIP_UNCHANGE_ARCHIVE(3)

NAME
zip_unchange_archive - undo global changes to zip archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
int
zip_unchange_archive(zip_t *archive);

DESCRIPTION
Revert all global changes to the archive archive. This reverts changes to the archive comment and global flags.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

SEE ALSO
libzip(3), zip_unchange(3), zip_unchange_all(3)

HISTORY
zip_unchange_archive() was added in libzip 0.7.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>